Bug 588453 - SELinux is preventing /usr/sbin/postdrop access to a leaked /home/marco/log/procmail file descriptor.
SELinux is preventing /usr/sbin/postdrop access to a leaked /home/marco/log/p...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: 588455 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2010-05-03 14:29 EDT by marco
Modified: 2010-05-04 07:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-05-04 07:34:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description marco 2010-05-03 14:29:17 EDT

SELinux is preventing /usr/sbin/postdrop access to a leaked
/home/marco/log/procmail file descriptor.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by the postdrop command. It looks like this is
either a leaked descriptor or postdrop output was redirected to a file it is not
allowed to access. Leaks usually can be ignored since SELinux is just closing
the leak and reporting the error. The application does not use the descriptor,
so it will run properly. If this is a redirection, you will not get output in
the /home/marco/log/procmail. You should generate a bugzilla on selinux-policy,
and it will get routed to the appropriate package. You can safely ignore this

Allowing Access:

You can generate a local policy module to allow this access - see FAQ

Additional Information:

Source Context                system_u:system_r:postfix_postdrop_t:s0-s0:c0.c102
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/marco/log/procmail [ file ]
Source                        postdrop
Source Path                   /usr/sbin/postdrop
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           postfix-2.6.5-2.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-110.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed) #1
                              SMP Mon Apr 5 19:59:38 UTC 2010 x86_64 x86_64
Alert Count                   167
First Seen                    Sat 17 Apr 2010 01:17:05 PM CEST
Last Seen                     Mon 03 May 2010 07:29:04 PM CEST
Local ID                      44592beb-2049-4aba-a66f-9087406377c0
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1272907744.797:141496): avc:  denied  { append } for  pid=26853 comm="postdrop" path="/home/marco/log/procmail" dev=sdb5 ino=6422530 scontext=system_u:system_r:postfix_postdrop_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1272907744.797:141496): arch=c000003e syscall=59 success=yes exit=0 a0=7fa9c852e180 a1=7fa9c852e1b0 a2=7fa9c852d9d0 a3=7fff5d28b230 items=0 ppid=26850 pid=26853 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=90 sgid=90 fsgid=90 tty=(none) ses=23206 comm="postdrop" exe="/usr/sbin/postdrop" subj=system_u:system_r:postfix_postdrop_t:s0-s0:c0.c1023 key=(null)

Hash String generated from  leaks,postdrop,postfix_postdrop_t,user_home_t,file,append
audit2allow suggests:

#============= postfix_postdrop_t ==============
allow postfix_postdrop_t user_home_t:file append;
Comment 1 Miroslav Grepl 2010-05-04 07:19:56 EDT
*** Bug 588455 has been marked as a duplicate of this bug. ***
Comment 2 Miroslav Grepl 2010-05-04 07:34:54 EDT
This is a local customization. You can allow it using 

# grep postfix_postdrop_t /var/log/audit/audit.log | audit2allow -M mypostfix
# semodule -i mypostfix.pp

Note You need to log in before you can comment on or make changes to this bug.